TSDELTA {bimets} | R Documentation

## Time Series Lag Differences (Delta)

### Description

This function returns the `O`-order, `L`-lag differences of the input time series.

### Usage

    TSDELTA(x = NULL, L = 1, O = 1, avoidCompliance = FALSE, ...)

### Arguments

`x` | Input time series that must satisfy the compliance control check defined in `is.bimets`.
`L` | Lag.
`O` | Order of the difference.
`avoidCompliance` | If `TRUE`, compliance control check of input time series will be skipped. See `is.bimets`
`...` | Backward compatibility.

### Value

This function returns a BIMETS time series.

### See Also

`DELTAP`
`TSLAG`
`MOVAVG`
`INTS`
`CUMSUM`

### Examples

    	#random TS
    	n=10;
    	xArr=rnorm(n);
    	ts1=TSERIES(xArr,START=c(2000,1),FREQ='A');
    	TABIT(ts1,TSDELTA(ts1,1,1),TSDELTA(ts1,1,2),TSDELTA(ts1,1,3));

[Package bimets version 1.4.0 Index]